# Interface DivinerReportStartEventData

#### Hierarchy

- EventData
  - DivinerReportStartEventData
    - DivinerModuleEventData

- Defined in modules/packages/diviner/packages/model/dist/types/Diviner.d.ts:21

#####
Index

### Properties

reportStart

## Properties

### reportStart

reportStart: {
module: DivinerModule<DivinerParams<SchemaFields & PayloadFields & {
archivist?: ArchivistModuleConfig;
name?: string;
paging?: Record<string, {
size?: number;
}>;
schema: string;
security?: {
allowAnonymous?: boolean;
allowed?: Record<string, (string | CosigningAddressSet)[]>;
disallowed?: Record<string, string[]>;
};
storeQueries?: boolean;
} & Omit<Omit<SchemaFields & PayloadFields & {
archivist?: ArchivistModuleConfig;
name?: string;
paging?: Record<string, {
size?: number;
}>;
schema: "network.xyo.diviner.config";
security?: {
allowAnonymous?: boolean;
allowed?: Record<string, (string | CosigningAddressSet)[]>;
disallowed?: Record<string, string[]>;
};
storeQueries?: boolean;
} & Omit<{
schema: "network.xyo.diviner.config";
} & Omit<undefined, "schema">, "schema">, "schema"> & {
schema: string;
}, "schema">, undefined>, DivinerModuleEventData>;
} & {
inPayloads?: (SchemaFields & PayloadFields & {
schema: string;
})[];
}

- Defined in modules/packages/diviner/packages/model/dist/types/Diviner.d.ts:22

Generated using TypeDoc